Bug 219943 - Review Request: perl-GPS-PRN - Package for PRN - Object ID conversions
Review Request: perl-GPS-PRN - Package for PRN - Object ID conversions
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-17 09:14 EST by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-18 11:14:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-12-17 09:14:57 EST
Spec URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-GPS-PRN.spec

SRPM URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-GPS-PRN-0.02-1.src.rpm

Description:
Package for PRN - Object ID conversions.

Note: New requirement of Net::GPSD (v0.33).
Comment 1 Parag AN(पराग) 2006-12-17 12:50:09 EST
Taking this for review
Comment 2 Parag AN(पराग) 2006-12-17 23:50:39 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMS.
+ source files match upstream.
60d48e68181cc0a50f039165021b8555  GPS-PRN-0.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ %check used
make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/base....ok
All tests successful.
Files=1, Tests=19,  1 wallclock secs ( 0.01 cusr +  0.01 csys =  0.02 CPU)

+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed perl packaging guidelines.
APPROVED.
Comment 3 Jose Pedro Oliveira 2006-12-18 11:14:06 EST
Thanks for the review.

Package imported and built for FC-5, FC-6, and devel.

Note You need to log in before you can comment on or make changes to this bug.